Marketplace
Get your custom disk pricing entries
List the storage rates your organization has registered. Only your own rates are returned. Filters combine, and paging is by limit and offset.
GET
/
marketplace
/
providers
/
disks
Get your custom disk pricing entries
curl --request GET \
--url https://pricing.baselinehq.cloud/marketplace/providers/disks \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/marketplace/providers/disks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/marketplace/providers/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
{
"availability_zone": "<string>",
"cost_per_gb_hour": 123,
"cost_per_iops_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"id": "<string>",
"max_capacity_gb": 123,
"max_iops": 123,
"max_throughput_mbps": 123,
"min_capacity_gb": 123,
"min_iops": 123,
"min_throughput_mbps": 123,
"native_cost_per_gb_hour": 123,
"native_cost_per_iops_hour": 123,
"native_cost_per_throughput_mbps_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"tags": {},
"type": "<string>",
"updated_at": "<string>",
"usage_type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum entries to return (default 500)
Entries to skip
Filter by service
Filter by region
Filter by disk type
Filter by usage type
Response
Pricing response for custom disk pricing
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get your custom disk pricing entries
